For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all units
        • GETGet a unit by ID
        • PUTUpdate Unit Custom Data: Propertyware REST
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware RESTUnits

Update Unit Custom Data: Propertyware REST

PUT
/v1/units/propertyware_rest/:unit_id/custom-data
PUT
/v1/units/propertyware_rest/:unit_id/custom-data
$curl -X PUT https://api.propexo.com/v1/units/propertyware_rest/unit_id/custom-data \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "custom_data": {}
>}'
1{
2 "meta": {
3 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
4 },
5 "result": {
6 "unit_id": "unit-987654321",
7 "custom_data": {}
8 }
9}
The custom data fields given in this payload must already exist on the unit. At this time, Propertyware REST does not support a way to create custom fields initially via the API. | Method | Interface | |---|---| | PUT /v1/units/customfields | Units |
Was this page helpful?
Previous

Get all amenities

Next
Built with

The custom data fields given in this payload must already exist on the unit. At this time, Propertyware REST does not support a way to create custom fields initially via the API.

MethodInterface
PUT /v1/units/customfieldsUnits

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
The Propexo unique identifier for the unit

Request

This endpoint expects an object.
custom_datamap from strings to nullable any or objectsRequired
A mapping of the fields you want to update and the associated values

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error